Retrieve all projects for an organization
GET
/api/v2/organizations/{organization}/projects
const url = 'https://dashboard.quantcdn.io/api/v2/organizations/test-org/projects';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v2/organizations/test-org/projects \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organization
required
string
Organization identifier
Example
test-orgResponses
Section titled “Responses”The request has succeeded.
Media typeapplication/json
Array<object>
object
id
required
Project ID
integer
uuid
required
Project UUID
string
name
required
Project name
string
machine_name
required
Project machine name
string
write_token
Write token for API access
string
Example
[ { "id": 123, "uuid": "550e8400-e29b-41d4-a716-446655440000", "name": "Test Project", "machine_name": "test-project", "write_token": "abc123token" }]The server could not understand the request due to invalid syntax.
Media typeapplication/json
object
message
required
Error message
string
error
required
Error flag
boolean
Example
{ "message": "The requested resource was not found", "error": true}Access is forbidden.
Media typeapplication/json
object
message
required
Error message
string
error
required
Error flag
boolean
Example
{ "message": "The requested resource was not found", "error": true}